Bug 990500 - [RFE] Make scalable app behaviour configurable
[RFE] Make scalable app behaviour configurable
Status: CLOSED NEXTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jofernan
:
Depends On: 1057183
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 06:09 EDT by Jim Minter
Modified: 2014-02-18 16:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-18 16:29:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Minter 2013-07-31 06:09:43 EDT
At the moment, the logic which defines when an app is scaled up or down is hard coded.  Flexibility is needed to specify the metric (e.g. concurrent connections, CPU load, application-defined) and thresholds.
Comment 2 Luke Meyer 2014-02-17 16:44:08 EST
bug 1057183 enables this beginning in OSE 2.0.3 - you can substitute anything you like for the haproxy rules. I don't know if that actually enables you to do the specific things you mentioned, as you have to get the metrics from somewhere, but you can certainly supply your own logic.

This is extremely unlikely to be backported to OSE 1.2. Shall we consider this RFE completed once 2.0.3 ships?
Comment 3 Jim Minter 2014-02-18 15:29:01 EST
No need whatsoever to backport to 1.2 - that would be a complete waste of effort.  Yeah, I think there's enough in 2.0.3 to close this RFE for now - please go ahead and do that.
Comment 4 Luke Meyer 2014-02-18 16:29:08 EST
Sounds good.

Note You need to log in before you can comment on or make changes to this bug.